运维开发网

qt5 源码编译

运维开发网 https://www.qedev.com 2020-07-25 20:46 出处:网络 作者:运维开发网整理
源码 qt-everywhere-src-5.11.3 依赖 apt-get install bison build-essential gperf flex ruby python libasound2-dev libbz2-dev libcap-dev \ libcups2-dev libdrm-dev libegl1-mesa-dev libgcrypt11-dev libnss3-dev

源码 qt-everywhere-src-5.11.3

依赖

apt-get install bison build-essential gperf flex ruby python libasound2-dev libbz2-dev libcap-dev \

libcups2-dev libdrm-dev libegl1-mesa-dev libgcrypt11-dev libnss3-dev libpci-dev libpulse-dev libudev-dev \

libxtst-dev gyp ninja-build libglu1-mesa-dev libfontconfig1-dev libx11-xcb-dev libicu-dev

不安装这些依赖库接下来运行configure的时候可能会报如下错误

WARNING: gperf is required to build QtWebEngine.

WARNING: bison is required to build QtWebEngine.

WARNING: flex is required to build QtWebEngine.

WARNING: host pkg-config not found

ERROR: The OpenGL functionality tests failed!

You might need to modify the include and library search paths by editing QMAKE_INCDIR_OPENGL[_ES2],

QMAKE_LIBDIR_OPENGL[_ES2] and QMAKE_LIBS_OPENGL[_ES2] in the mkspec for your platform.

 

如果发生类似这样的错 安装完相关依赖库之后 记得运行 rm config.cache来删除缓存的配置

./configure -prefix $PWD/qtbase -opensource -nomake examples -nomake testsmake -j 4make install

扫码领视频副本.gif

0

精彩评论

暂无评论...
验证码 换一张
取 消

关注公众号